summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Richter <thomas.richter@iis.fraunhofer.de>2021-09-07 13:38:27 +0200
committerThomas Richter <thomas.richter@iis.fraunhofer.de>2021-09-07 13:38:27 +0200
commitd96e461dd7ba5f81ce40979a79bfad105be352de (patch)
treefec8d8805b4598b4c25ff0ec09a6be8875cc6dd2
parent0148c99d35e21a05f29be9a5ca8ff926e2be26d7 (diff)
Added autogen boilerplate.
-rwxr-xr-xautogen.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..fc34bd5
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,14 @@
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
+
+if test -z "$NOCONFIGURE"; then
+ $srcdir/configure "$@"
+fi